#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ral
version:              0.2.1
visibility:           public
id:                   ral-0.2.1-28Ka7E68i0n36W4RbxyZjj
key:                  ral-0.2.1-28Ka7E68i0n36W4RbxyZjj
license:              GPL-2.0-or-later
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Random access lists
description:
    This package provides ordinary random access list, '\''RAList'\'', and also
    a length indexed variant, '\''RAVec'\''.

    The data structure allows fast cons-operation (like ordinary list) but also fast random access (like non-functional arrays).

    For @lens@ or @optics@ support see [ral-lens](https://hackage.haskell.org/package/ral-lens) and [ral-optics](https://hackage.haskell.org/package/ral-optics) packages respectively.

    === Similar packages

    These packages don'\''t provide length-indexed variants, and their '\''RAList'\'' has
    opaque structure.

    * https://hackage.haskell.org/package/ralist
    * https://hackage.haskell.org/package/random-access-list

category:             Data, Dependent Types, Singletons
abi:                  0d5fe53a7d23d01269df05b7bf4e893c
exposed:              True
exposed-modules:
    Data.RAList Data.RAList.NonEmpty Data.RAList.Tree Data.RAVec
    Data.RAVec.NonEmpty Data.RAVec.Tree Data.RAVec.Tree.DF

hidden-modules:
    Data.RAList.Internal Data.RAList.NonEmpty.Internal
    Data.RAList.Tree.Internal TrustworthyCompat

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ral-0.2.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ral-0.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ral
hs-libraries:         HSral-0.2.1-28Ka7E68i0n36W4RbxyZjj
depends:
    QuickCheck-2.14.3-5Ru4Ok7ulGwKtpS9FNJk0k
    adjunctions-4.4.2-7VwvZMRecTKFDSn6k7uQog base-4.15.1.0
    bin-0.1.3-K39kBBeI2Y96nUAKL4eSg6
    boring-0.2.1-K3fUOMTIFmCIZaRDZDt4bK deepseq-1.4.5.0
    distributive-0.6.2.1-6Wuzsd4kS0SCUNLxSbONRG
    fin-0.3-51ZoTNfULGnEIGZhZLuv80
    hashable-1.4.2.0-8EyZ5q0qf6V2oPuIX4Sz4t
    indexed-traversable-0.1.2.1-JwIQVWOpW67GVSWDdLo884
    semigroupoids-5.3.7-GrMbjI0UGFz1ppElomscYZ

haddock-interfaces:   /usr/share/doc/haskell-ral/html/ral.haddock
haddock-html:         /usr/share/doc/haskell-ral/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

